Index: lemon/dim2.h
===================================================================
--- lemon/dim2.h	(revision 42)
+++ lemon/dim2.h	(revision 49)
@@ -28,6 +28,5 @@
 ///
 /// The class \ref lemon::dim2::Point "dim2::Point" implements
-///a two dimensional vector with the usual
-/// operations.
+/// a two dimensional vector with the usual operations.
 ///
 /// The class \ref lemon::dim2::BoundingBox "dim2::BoundingBox"
@@ -50,7 +49,5 @@
 
   /// A simple two dimensional vector (plainvector) implementation
-  ///with the usual vector
-  /// operators.
-  ///
+  /// with the usual vector operations.
   template<typename T>
     class Point {
@@ -71,5 +68,5 @@
       Point(T a, T b) : x(a), y(b) { }
 
-      ///The dimension of the vector.
+      ///Returns the dimension of the vector (i.e. returns 2).
 
       ///The dimension of the vector.
@@ -97,5 +94,5 @@
       }
   
-      ///Increment the left hand side by u
+      ///Increment the left hand side by \c u
       Point<T>& operator +=(const Point<T>& u) {
         x += u.x;
@@ -104,5 +101,5 @@
       }
   
-      ///Decrement the left hand side by u
+      ///Decrement the left hand side by \c u
       Point<T>& operator -=(const Point<T>& u) {
         x -= u.x;
@@ -316,4 +313,5 @@
       ///if at least one point was added to the box or the coordinates of
       ///the box were set).
+      ///
       ///The coordinates of an empty bounding box are not defined. 
       bool empty() const {
@@ -326,7 +324,7 @@
       }
 
-      ///Give back the bottom left corner
-
-      ///Give back the bottom left corner.
+      ///Give back the bottom left corner of the box
+
+      ///Give back the bottom left corner of the box.
       ///If the bounding box is empty, then the return value is not defined.
       Point<T> bottomLeft() const {
@@ -334,7 +332,7 @@
       }
 
-      ///Set the bottom left corner
-
-      ///Set the bottom left corner.
+      ///Set the bottom left corner of the box
+
+      ///Set the bottom left corner of the box.
       ///It should only be used for non-empty box.
       void bottomLeft(Point<T> p) {
@@ -342,7 +340,7 @@
       }
 
-      ///Give back the top right corner
-
-      ///Give back the top right corner.
+      ///Give back the top right corner of the box
+
+      ///Give back the top right corner of the box.
       ///If the bounding box is empty, then the return value is not defined.
       Point<T> topRight() const {
@@ -350,7 +348,7 @@
       }
 
-      ///Set the top right corner
-
-      ///Set the top right corner.
+      ///Set the top right corner of the box
+
+      ///Set the top right corner of the box.
       ///It should only be used for non-empty box.
       void topRight(Point<T> p) {
@@ -358,7 +356,7 @@
       }
 
-      ///Give back the bottom right corner
-
-      ///Give back the bottom right corner.
+      ///Give back the bottom right corner of the box
+
+      ///Give back the bottom right corner of the box.
       ///If the bounding box is empty, then the return value is not defined.
       Point<T> bottomRight() const {
@@ -366,7 +364,7 @@
       }
 
-      ///Set the bottom right corner
-
-      ///Set the bottom right corner.
+      ///Set the bottom right corner of the box
+
+      ///Set the bottom right corner of the box.
       ///It should only be used for non-empty box.
       void bottomRight(Point<T> p) {
@@ -375,7 +373,7 @@
       }
  
-      ///Give back the top left corner
-
-      ///Give back the top left corner.
+      ///Give back the top left corner of the box
+
+      ///Give back the top left corner of the box.
       ///If the bounding box is empty, then the return value is not defined.
       Point<T> topLeft() const {
@@ -383,7 +381,7 @@
       }
 
-      ///Set the top left corner
-
-      ///Set the top left corner.
+      ///Set the top left corner of the box
+
+      ///Set the top left corner of the box.
       ///It should only be used for non-empty box.
       void topLeft(Point<T> p) {
@@ -534,8 +532,8 @@
 
 
-  ///Map of x-coordinates of a Point map
-
-  ///\ingroup maps
-  ///Map of x-coordinates of a \ref dim2::Point "Point"-map.
+  ///Map of x-coordinates of a \ref Point "Point"-map
+
+  ///\ingroup maps
+  ///Map of x-coordinates of a \ref Point "Point"-map.
   ///
   template<class M>
@@ -571,5 +569,5 @@
   }
 
-  ///Constant (read only) version of XMap
+  ///Constant (read only) version of \ref XMap
 
   ///\ingroup maps
@@ -601,5 +599,5 @@
   }
 
-  ///Map of y-coordinates of a Point map
+  ///Map of y-coordinates of a \ref Point "Point"-map
     
   ///\ingroup maps
@@ -638,5 +636,5 @@
   }
 
-  ///Constant (read only) version of YMap
+  ///Constant (read only) version of \ref YMap
 
   ///\ingroup maps
@@ -669,11 +667,10 @@
 
 
-    ///\brief Map of the normSquare()
-    ///of a Point map
-    ///
-    ///Map of the \ref Point::normSquare() "normSquare()"
-    ///of a \ref Point "Point"-map.
-    ///\ingroup maps
-    ///
+  ///\brief Map of the \ref Point::normSquare() "normSquare()"
+  ///of a \ref Point "Point"-map
+  ///
+  ///Map of the \ref Point::normSquare() "normSquare()"
+  ///of a \ref Point "Point"-map.
+  ///\ingroup maps
   template<class M>
   class NormSquareMap 
